For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all properties
        • GETGet a property by ID
        • GETGet all rentable items
        • GETGet rentable item by ID
        • GETGet all property lists
        • GETGet a property list by ID
        • PUTUpdate Property: Yardi - Not Supported
        • POSTCreate Property: Yardi - Not Supported
        • POSTCreate Property file: Yardi - Not Supported
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
Yardi (Legacy)Properties

Get a property by ID

GET
/v1/properties/:id
GET
/v1/properties/:id
$curl https://api.propexo.com/v1/properties/id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": {
12 "address_1": "123 Main St",
13 "address_2": "Suite 400",
14 "associated_owner_ids": [
15 "owner_12345"
16 ],
17 "building_number": null,
18 "city": "Boston",
19 "code": "BOS123",
20 "country": null,
21 "county": null,
22 "created_at": "2024-03-21T15:38:08.337Z",
23 "custom_data": {},
24 "id": "clwktsp9v000008l31iv218hn",
25 "integration_id": "clwh5u07w000508me66sfh3um",
26 "integration_vendor": "YARDI",
27 "is_active": null,
28 "last_seen": "2024-03-22T10:59:45.119Z",
29 "long_description": null,
30 "manager_email": null,
31 "manager_name": null,
32 "manager_phone_1": null,
33 "manager_phone_1_type": null,
34 "manager_phone_2": null,
35 "manager_phone_2_type": null,
36 "name": "Liberty Apartments",
37 "notes": null,
38 "number_of_units": null,
39 "office_hours": [
40 {
41 "day_of_week": "MONDAY",
42 "open_time": "09:00",
43 "close_time": "17:00"
44 },
45 {
46 "day_of_week": "TUESDAY",
47 "open_time": "09:00",
48 "close_time": "17:00"
49 },
50 {
51 "day_of_week": "WEDNESDAY",
52 "open_time": "09:00",
53 "close_time": "17:00"
54 },
55 {
56 "day_of_week": "THURSDAY",
57 "open_time": "09:00",
58 "close_time": "17:00"
59 },
60 {
61 "day_of_week": "FRIDAY",
62 "open_time": "09:00",
63 "close_time": "17:00"
64 }
65 ],
66 "pet_types": [
67 {
68 "name": "Dog",
69 "is_allowed": true,
70 "description": "Dogs up to 50 lbs allowed",
71 "notes": "No aggressive breeds",
72 "deposit_raw": "$300",
73 "deposit_in_cents": 30000,
74 "fee_raw": "$25 monthly",
75 "fee_in_cents": 2500,
76 "fee_min_raw": "$15",
77 "fee_min_in_cents": 1500,
78 "fee_max_raw": "$50",
79 "fee_max_in_cents": 5000,
80 "rent_amount_raw": "$500",
81 "rent_amount_in_cents": 50000
82 }
83 ],
84 "property_id": "clwi5xiix000008l6ctdgafyh",
85 "short_description": null,
86 "square_feet": 85000,
87 "state": "MA",
88 "type_normalized": "MULTI_FAMILY",
89 "type_raw": "Apartment Complex",
90 "updated_at": "2024-03-22T10:59:45.119Z",
91 "website": null,
92 "x_building_id": null,
93 "x_created_at": null,
94 "x_id": "YRD123456789",
95 "x_property_id": "YRD987654321",
96 "year_built": null,
97 "zip": "02116",
98 "square_footage": null,
99 "street_address_1": null,
100 "street_address_2": null,
101 "type": null
102 }
103}
Get a property by ID
Was this page helpful?
Previous

Get all rentable items

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
The ID of the resource.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query

Response

Successful response
metaobject
resultsobject

Errors

400
Bad Request Error